Bug 197134 - For some projects sources are not shown in imported project Files view
For some projects sources are not shown in imported project Files view
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
FULL_REMOTE
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-28 04:31 UTC by Vladimir Kvashin
Modified: 2011-03-31 13:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
project this happens with (19.76 KB, application/zip)
2011-03-28 04:34 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-03-28 04:31:00 UTC
Create a project from existent sources in "custom" mode, put project directory outside of source directory. Import such project on another host. Files view contains two nodes, for local and remote metadata. No sources in project view.
Comment 1 Vladimir Kvashin 2011-03-28 04:34:18 UTC
Created attachment 107318 [details]
project this happens with

There are two projects in zip, "simple" and "simple-prj", the last refers to sources that reside in 1-st. Import the last ("simple-prj"), see no sources in view.
Comment 2 Vladimir Kvashin 2011-03-28 05:36:56 UTC
This happened in the case project we import has more than one source roots

Fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/ca82aebf8161

I strongly believe the fix should be included in FCS
Comment 3 Alexander Pepin 2011-03-28 12:13:51 UTC
Please fix it ASAP.
Comment 4 Alexander Pepin 2011-03-28 12:32:16 UTC
verified in dev build #5040
Comment 5 Vladimir Voskresensky 2011-03-28 12:47:07 UTC
extra fix http://hg.netbeans.org/cnd-main?cmd=changeset;node=b5f0aff5445e
- prevents doubled items
Comment 6 Alexander Pepin 2011-03-28 15:20:06 UTC
The extra fix is verified in dev build #5042, items in Projects are not doubled any more. All remaining issues seem to be addressed in bug #196884
Comment 7 Quality Engineering 2011-03-29 08:44:12 UTC
Integrated into 'main-golden', will be available in build *201103290400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ca82aebf8161
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #197134 - For some projects sources are not shown in imported project Files view
Comment 9 Alexander Pepin 2011-03-31 13:42:06 UTC
Verified in RC2 build 20110331.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo